For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all service requests
        • GETGet a service request by ID
        • GETGet all service request history
        • GETGet service request history by ID
        • PUTUpdate Service Request: Propertyware
        • POSTCreate Service Request: Propertyware
        • POSTCreate Service Request History: Propertyware
        • POSTCreate Service Request File: Propertyware
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Propertyware SOAPService Requests

Get service request history by ID

GET
/v1/service-request-history/:service_request_history_id
GET
/v1/service-request-history/:service_request_history_id
$curl https://api.propexo.com/v1/service-request-history/service_request_history_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_created_at": "2024-03-20T12:00:00.000Z",
17 "x_id": "ext-987654321",
18 "x_property_id": "ext-prop-123456",
19 "x_location_id": null,
20 "notes": "Tenant reported a leaking faucet in the kitchen. Maintenance dispatched for repair.",
21 "status_raw": null,
22 "creator_name": null,
23 "service_request_id": "clwktsp9v000008l31iv218hm",
24 "integration_id": "clwh5u07w000508me66sfh3um",
25 "integration_vendor": "PROPERTYWARE",
26 "property_id": "clwi5xiix000008l6ctdgafyh"
27 }
28}
Get service request history by ID
Was this page helpful?
Previous

Update Service Request: Propertyware

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

service_request_history_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error